SSL_CTX_ADD_EXTRA_CHAIN_CERT(3)

NAME
SSL_CTX_add_extra_chain_cert - add certificate to chain

SYNOPSIS
#include <openssl/ssl.h>
long
SSL_CTX_add_extra_chain_cert(SSL_CTX ctx, X509 *x509);

DESCRIPTION
SSL_CTX_add_extra_chain_cert() adds the certificate x509 to the certificate chain presented together with the certificate. Several certificates can be added one after the other.

NOTES
When constructing the certificate chain, the chain will be formed from these certificates explicitly specified. If no chain is specified, the library will try to complete the chain from the available CA certificates in the trusted CA storage, see SSL_CTX_load_verify_locations(3).

The x509 certificate provided to SSL_CTX_add_extra_chain_cert() will be freed by the library when the SSL_CTX is destroyed. An application should not free the x509 object.

RETURN VALUES
SSL_CTX_add_extra_chain_cert() returns 1 on success. Check out the error stack to find out the reason for failure otherwise.

SEE ALSO
ssl(3), SSL_CTX_load_verify_locations(3), SSL_CTX_set_client_cert_cb(3), SSL_CTX_use_certificate(3)